# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "lle"
version = "2.6.7"
build = "build.rs"
exclude = [
    "docs",
    "pyproject.toml",
    "python/*",
    "stubcheck.sh",
    "uv.lock",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cooperative MARL environment based on laser-blocking."
homepage = "https://github.com/yamoling/lle"
readme = "readme.md"
keywords = [
    "environment",
    "laser",
    "lle",
    "marl",
    "rl",
]
categories = ["science"]
license-file = "licence"
repository = "https://github.com/yamoling/lle"

[lib]
name = "lle"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "stub-gen"
path = "src/stub_gen.rs"

[[test]]
name = "toml_schema_tests"
path = "tests/toml_schema_tests.rs"

[[test]]
name = "world_integration_tests"
path = "tests/world_integration_tests.rs"

[dependencies.image]
version = "0.25.5"

[dependencies.itertools]
version = "0.14.0"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.numpy]
version = "0.28.0"

[dependencies.pyo3]
version = "0.28.0"
features = ["generate-import-lib"]

[dependencies.pyo3-stub-gen]
version = "0.18.0"

[dependencies.rand]
version = "0.10.0"

[dependencies.serde]
version = "1.0.217"

[dependencies.toml]
version = "0.9.8"

[dev-dependencies.jsonschema]
version = "0.29"

[dev-dependencies.serde_json]
version = "1.0"
